# QRunnable Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QRunnable()

### Constructor Properties

- prototype: The QRunnable prototype object

### Prototype Object Properties

- bool autoDelete()
- void run()
- void setAutoDelete(bool _autoDelete)

### Instance Properties

QRunnable objects have no special properties beyond those inherited from the QRunnable prototype object.